from django.urls import include, path

from benevalibre.utils.urls import crud_include

from . import views

app_name = 'association'

association_patterns = [
    path('roles/', crud_include(views, 'Role', 'role')),
    path('levels/', crud_include(views, 'Level', 'level')),
    path('projects/', crud_include(views, 'Project', 'project')),
    path('categories/', crud_include(views, 'Category', 'category')),
    path('engagements/', crud_include(views, 'Engagement', 'engagement')),
]

urlpatterns = [
    path('', crud_include(views, 'Association')),
    path('<int:association>/', include(association_patterns)),
]
