from django.urls import include, path

from benevalibre.utils.urls import crud_include

from . import views

app_name = 'base'

engaged_patterns = [
    path(
        '<int:engagement>/benevalo/',
        views.AssociatedEngagedBenevaloIndex.as_view(),
        name='benevalo',
    ),
]

association_patterns = [
    path(
        'users/',
        views.AssociatedEngagementReadOnlyIndex.as_view(),
        name='user',
    ),
    path(
        'engage/',
        views.AssociationEngage.as_view(),
        name='engage',
    ),
    path(
        'my-benevalo/',
        crud_include(views, 'AssociatedSelfBenevalo', 'self-benevalo'),
    ),
    path(
        'benevalo/',
        crud_include(views, 'AssociatedBenevalo', 'benevalo'),
    ),
    path('engagements/', include((engaged_patterns, 'engagement'))),
]

associations_patterns = [
    path('<int:association>/', include(association_patterns)),
]

urlpatterns = [
    path('', views.Home.as_view(), name='home'),
    path('board/', views.EngagementIndex.as_view(), name='board'),
    path('associations/', include((associations_patterns, 'association'))),
]
