import django_tables2 as tables
from django_tables2.utils import A

from benevalibre.utils.tables import ActionsColumn

from . import models


class BenevaloIndexTable(tables.Table):
    actions = ActionsColumn(
        update_url='benevalo:update', delete_url='benevalo:delete'
    )
    association = tables.LinkColumn(
        'association:update', args=(A('association.id'),)
    )
    project = tables.LinkColumn(
        'association:project:update',
        args=(A('association.id'), A('project.id')),
        attrs={'a': {'class': 'project-link'}},
    )
    category = tables.LinkColumn(
        'association:category:update',
        args=(A('association.id'), A('category.id')),
        attrs={'a': {'class': 'category-link'}},
    )
    level = tables.LinkColumn(
        'association:level:update',
        args=(A('association.id'), A('level.id')),
        attrs={'a': {'class': 'level-link'}},
    )
    title = tables.LinkColumn('benevalo:update', args=(A('pk'),))

    # FIXME: lier les utilisat⋅eurs⋅rices
    # FIXME: liste des colonnes par préférence utilisat⋅eur⋅rice
    class Meta:
        model = models.Benevalo
        fields = (
            'user',
            'execution_date',
            'association',
            'project',
            'category',
            'level',
            'title',
            'actions',
        )
