from django.urls import reverse, reverse_lazy

from cruditor import views

from benevalibre.utils.views import StaffCruditorPageMixin

from . import forms, models, tables


class BenevaloViewMixin(StaffCruditorPageMixin):
    model = models.Benevalo
    success_url = reverse_lazy('benevalo:index')


class Index(BenevaloViewMixin, views.CruditorListView):
    table_class = tables.BenevaloIndexTable
    title = "Liste des actions de bénévolats"
    create_titlebutton_label = "Ajouter une action de bénévolat"
    create_url = reverse_lazy('benevalo:create')


class Create(BenevaloViewMixin, views.CruditorAddView):
    form_class = forms.CreateForm


class Update(BenevaloViewMixin, views.CruditorChangeView):
    form_class = forms.UpdateForm

    def get_delete_url(self):
        return reverse('benevalo:delete', args=(self.object.pk,))


class Delete(BenevaloViewMixin, views.CruditorDeleteView):
    pass
