# Typographie

<p class="lead">Cette application utilise la police d'écriture <a href="https://github.com/FontFaceKit/open-sans"><b>Open Sans</b></a>, sous licence Apache 2.0.</p>

---

<h1>Titre de niveau 1</h1>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h2>Titre de niveau 2</h2>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h3>Titre de niveau 3</h3>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h4>Titre de niveau 4</h4>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h5>Titre de niveau 5</h5>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h6>Titre de niveau 6</h6>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

---

## Texte et paragraphe

Ceci est un paragraphe. Ils peuvent contenir du texte <strong>en gras</strong> et <em>en italique</em>, voir <strong><em>les deux en même temps</em></strong>, grâce aux balises `<strong>` et `<em>`. On peut aussi retrouver des <a href="#">liens</a> définis par du texte <a href="#">plus ou moins long</a>. Une autre balise utile dans certains cas est `<abbr>`, qui permet de définir un acronyme comme <abbr title="HyperText Markup Language">HTML</abbr> par exemple.

Et puis, le latin, c'est chouette, en voici un extrait. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

---

## Listes

Voici un exemple de liste simple :

<ul>
  <li>Lorem ipsum dolor sit amet</li>
  <li>Consectetur adipiscing elit</li>
  <li>Integer molestie lorem at massa</li>
  <li>Facilisis in pretium nisl aliquet</li>
  <li>Nulla volutpat aliquam velit
    <ul>
      <li>Phasellus iaculis neque</li>
      <li>Purus sodales ultricies</li>
      <li>Vestibulum laoreet porttitor sem</li>
      <li>Ac tristique libero volutpat at</li>
    </ul>
  </li>
  <li>Faucibus porta lacus fringilla vel</li>
  <li>Aenean sit amet erat nunc</li>
  <li>Eget porttitor lorem</li>
</ul>

En voici une autre avec des éléments ordonnés :

<ol>
  <li>Commencer par faire ceci ;</li>
  <li>Ajouter cela dans ceci ;</li>
  <li>S'assurer que tout est dit ;</li>
  <li>Voilà, c'est fini !</li>
</ol>



# Formulaires

<p class="lead">Dans le code Django, le rendu des formulaires est à faire avec <a href="https://github.com/stephrdev/django-tapeforms">django-tapeforms</a> pour une bonne intégration.</p>

---

## Champs de base

Quelques classes supplémentaires sont à utiliser, comme `.required` pour identifier un champ requis. Les actions du formulaires sont aussi à regrouper dans un conteneur `.form-actions`.

```html_example
<form>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="input1">Nom <span class="required">*</span></label>
      <input type="text" class="form-control" id="input1">
    </div>
    <div class="form-group col-md-6">
      <label for="input2">Prénom <span class="required">*</span></label>
      <input type="text" class="form-control" id="input2">
    </div>
  </div>
  <div class="form-group">
    <label for="input3">Adresse <span class="required">*</span></label>
    <input type="text" class="form-control" id="input3">
  </div>
  <div class="form-group">
    <label for="input4">Complément d'adresse</label>
    <input type="text" class="form-control" id="input4" placeholder="Appartement, studio ou étage">
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="input5">Pays</label>
      <select id="input5" class="custom-select">
        <option selected>-------</option>
        <option>Option 1</option>
        <option>Option 2</option>
      </select>
    </div>
    <div class="form-group col-md-6">
      <label for="input6">Ville <span class="required">*</span></label>
      <input type="text" class="form-control" id="input6">
    </div>
    <div class="form-group col-md-2">
      <label for="input7">Code postal <span class="required">*</span></label>
      <input type="text" class="form-control" id="input7">
    </div>
  </div>
  <hr>
  <div class="form-group">
    <label for="input8">Adresse mail <span class="required">*</span></label>
    <div class="input-group mb-2">
      <div class="input-group-prepend">
        <div class="input-group-text">@</div>
      </div>
      <input type="email" class="form-control" id="input8">
    </div>
  </div>
  <div class="form-group">
    <div class="custom-control custom-checkbox">
      <input type="checkbox" class="custom-control-input" id="input9">
      <label class="custom-control-label" for="input9">Recevoir la newsletter mensuelle</label>
    </div>
  </div>
  <div class="form-actions text-right">
    <button type="submit" class="btn btn-outline-danger">Supprimer</button>
    <button type="submit" class="btn btn-success">Enregistrer</button>
  </div>
</form>
```



# Messages

Le composant *Alert* est utilisé pour présenter un message à l'utilisat⋅eur⋅rice. Seules les couleurs suivantes sont cependant à utiliser :
 * `.alert-success` : lorsqu'une action a bien été réalisée ;
 * `.alert-danger` : en cas d'erreur, dans le saisie du formulaire par exemple ;
 * `.alert-info` : pour afficher et faire ressortir une information.

```html_example
<div class="alert alert-dismissible alert-success">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>Well done!</strong> You successfully read <a href="#" class="alert-link">this important alert message</a>.
</div>

<div class="alert alert-dismissible alert-danger">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>Oh snap!</strong> <a href="#" class="alert-link">Change a few things up</a> and try submitting again.
</div>

<div class="alert alert-dismissible alert-info">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>Heads up!</strong> This <a href="#" class="alert-link">alert needs your attention</a>, but it's not super important.
</div>
```



# Boutons

On peut retrouver un bouton dans les actions d'un formulaire, d'un message, ou encore pour rendre plus visible un lien vers une autre page. Comme pour les messages, seules quelques couleurs et variantes sont à utiliser :
 * `.btn-primary` : pour une action principale, sur la page ou pour un élément ;
 * `.btn-secondary` : pour une action secondaire, sur la page ou pour un élément ;
 * `.btn-success` : pour l'envoi d'un formulaire ;
 * `.btn-outline-danger` : pour supprimer un élément.

```html_example
<button type="button" class="btn btn-primary">Principal</button>
<button type="button" class="btn btn-secondary">Secondaire</button>
<button type="button" class="btn btn-success">Enregistrer</button>
<button type="button" class="btn btn-outline-danger">Supprimer</button>
```

Une variante particulière `.btn-outline-primary` est à utiliser pour un bouton d'ajout, au sein d'une liste d'éléments présentés avec le composant *Card* :

```html_example
<div class="row">
  <div class="col-sm-6 col-md-4 col-lg-3 mb-3">
    <div class="card">
      <h5 class="card-header">Élément 1</h5>
      <div class="card-body">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
      </div>
    </div>
  </div>
  <div class="col-sm-6 col-md-4 col-lg-3 mb-3">
    <div class="card">
      <h5 class="card-header">Élément 2</h5>
      <div class="card-body">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
      </div>
    </div>
  </div>
  <div class="col-sm-6 col-md-4 col-lg-3 mb-3">
    <a href="#" class="btn btn-outline-primary btn-lg border-dashed h-100 w-100">
      <div class="d-flex h-100 align-items-center justify-content-center">
        <div class="text-center">
          <i class="fa fa-plus mr-2" aria-hidden="true"></i>Ajouter un élément
        </div>
      </div>
    </a>
  </div>
</div>
```
